%define _requires_exceptions /usr/bin/sh

%define name gnomenu
%define version 2.9
%define release %mkrel 2

Summary:      GnoMenu - menu for gnome that brings eye candy the Gnome menu's
Summary(de):  GnoMenu - Menu für GNOME, bringt Eye Candy das Gnome-Menüs
Name:         %{name}
Version:      %{version}
Release:      %{release}
License:      GPLv2
Group:        Graphical desktop/GNOME
Source:       https://launchpad.net/gnomenu/%{name}-%{version}.tar.xz
URL:          https://launchpad.net/gnomenu/
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Requires: python gnome-python
Requires: deskbar-applet
Requires: pygtk2.0 
Requires: pygtk2.0-libglade
Requires: pyxdg 
Requires: gnome-python
Requires: gnome-python-desktop
Requires: python-cairo
Requires: python-numpy
Requires: python-pyxml
Requires: python-xlib
Requires: gnome-python-gconf
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes:  %name < %version
Obsoletes:  gnomenu-awn-applet

%description
Fully functional menu , supports themes , for a composited or non
composited desktop. It can emulate the look and feel of the most 
beautiful menus of most modern desktops, and it can also use custom
menus, due to its powerful theme XML engine. GnoMenu currently supports
Gnome-Panel, Avant-Window-Navigator, Cairo-Dock and XfApplet.

#german
%description -l de
Voll funktionsfähige Menü unterstützt Themen, für die ein Composite-oder nicht Composite-Desktop. 
Sie können das Aussehen emulieren und die schönsten Menüs der meisten modernen Desktop-PCs erzeugen 
und auch benutzerdefinierte Menüs generieren, aufgrund seiner starken Thema XML-Engine. GnoMenu 
unterstützt derzeit Gnome-Panel, Avant-Window-Navigator, Cairo-Dock und XfApplet.


%prep
%setup -n %{name}

# fix settings
# defaut gnome-search-tool
perl -pi -e "s/tracker-search-tool/gnome-search-tool/g" src/lib/gnomenu/backup/Settings_default.xml
perl -pi -e "s/tracker-search-tool/gnome-search-tool/g" src/lib/gnomenu/GnoMenu-Settings.py
perl -pi -e "s/tracker-search-tool/gnome-search-tool/g" src/lib/gnomenu/Globals.py
# defaut drakconnect
perl -pi -e "s/nm-connection-editor/drakconnect/g" src/lib/gnomenu/backup/Settings_default.xml
perl -pi -e "s/nm-connection-editor/drakconnect/g" src/lib/gnomenu/GnoMenu-Settings.py
perl -pi -e "s/nm-connection-editor/drakconnect/g" src/lib/gnomenu/Globals.py
# defaut synaptic without gksu (Password request with consolekit)
perl -pi -e "s/gksu synaptic/synaptic/g" src/lib/gnomenu/backup/Settings_default.xml
perl -pi -e "s/gksu synaptic/synaptic/g" src/lib/gnomenu/GnoMenu-Settings.py
perl -pi -e "s/gksu synaptic/synaptic/g" src/lib/gnomenu/Globals.py


%build

%make prefix=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
make prefix=%{_prefix} DESTDIR=${RPM_BUILD_ROOT} install


%clean
rm -rf $RPM_BUILD_ROOT




%files 
%defattr(-,root,root)
%doc COPYING Changelog README.txt
%{_sysconfdir}/%{name}/prefix
%{_bindir}/GnoMenu.py
%{_libdir}/bonobo/servers/GNOME_GnoMenu.server
%{_libdir}/%{name}
%{_datadir}/avant-window-navigator
%{_datadir}/cairo-dock
%{_datadir}/%{name}
%{_datadir}/locale


%changelog
* Thu Jul 08 2010 Texstar <texstar at gmail.com> 2.9-2pclos2010
- add obsoletes gnomenu-awn-applet as the previous srpm created
- a separate pacakge 
- convert source file to tar.xz

* Wed Jul 07 2010 maik3531 <maik3531 at yahoo dot de> 2.9-1pclos2010
- 2.9

* Mon Dec 28 2009 maik3531 <maik3531 at yahoo dot de> 2.2.2-2pclos2010
- add default settings

* Sat Dec 26 2009 slick50 <lxgator@gmail.com> 2.2.2-1pclos2010
- initial pkg
